Bug 365781 - add support for O_CLOEXEC
add support for O_CLOEXEC
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 08:29 EST by Sami Farin
Modified: 2008-04-04 10:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 10:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add O_CLOEXEC (318 bytes, patch)
2007-11-04 08:29 EST, Sami Farin
no flags Details | Diff

  None (edit)
Description Sami Farin 2007-11-04 08:29:20 EST
Description of problem:
open() flag O_CLOEXEC not supported

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Sami Farin 2007-11-04 08:29:20 EST
Created attachment 247591 [details]
add O_CLOEXEC
Comment 2 Roland McGrath 2007-11-19 17:23:29 EST
Already covered upstream.
Comment 3 Bug Zapper 2008-04-04 10:24:33 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.